// https://vitejs.dev/config/#build-polyfillmodulepreload
import "vite/modulepreload-polyfill";

// Vue
import { createApp } from "vue";

// if importing all is too much you can always do it manually
import GamuTable from "./components/gamuTable.vue";
import VuePapaParse from "vue-papa-parse";

const components = {
	GamuTable,
};

let i = 1;
for (const el of document.getElementsByClassName("vue-gamutable")) {
	if (i === 1) {
		window.app = createApp({
			components,
			mounted() {
				app.rechargerJson = this.$refs.montableau.rechargerJson;
			},
		});
		app.use(VuePapaParse);
		app.provide("$papa", app.config.globalProperties.$papa);
		app.mount(el);
	} else if (i === 2) {
		window.app_deux = createApp({
			components,
			mounted() {
				app_deux.rechargerJson =
					this.$refs.montableau_deux.rechargerJson;
			},
		});
		app_deux.use(VuePapaParse);
		app_deux.provide("$papa", app_deux.config.globalProperties.$papa);
		app_deux.mount(el);
	}
	i++;
}
